# Generated by Django 4.0 on 2022-04-26 09:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        ('codex', '0015_image_comment_image_location'),
    ]

    operations = [
        migrations.AddField(
            model_name='paragraph',
            name='participant',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='codex.interviewparticipant'),
        ),
        migrations.AddField(
            model_name='paragraph',
            name='record_end',
            field=models.IntegerField(default=0),
        ),
        migrations.AddField(
            model_name='paragraph',
            name='record_start',
            field=models.IntegerField(default=0),
        ),
        migrations.CreateModel(
            name='Recording',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=512)),
                ('file', models.FileField(upload_to='recordings/%Y/%m/%d/')),
                ('comment', models.TextField(blank=True, null=True)),
                ('location', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='codex.place')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='auth.user')),
            ],
        ),
        migrations.AddField(
            model_name='paragraph',
            name='record',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='codex.recording'),
        ),
    ]
